Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.BlockContext

- org.apache.groovy.parser.antlr4.GroovyParser.BlockContext

-     public static class GroovyParser.BlockContext
      extends GroovyParserRuleContext

- - ### Constructor Summary

    Constructors
    Constructor and description
    `BlockContext(ParserRuleContext parent, int invokingState)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public TerminalNode` | `LBRACE()`
    `` | `public TerminalNode` | `RBRACE()`
    `<Result>` | `public Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `public BlockStatementsOptContext` | `blockStatementsOpt()`
    `` | `public int` | `getRuleIndex()`
    `` | `public SepContext` | `sep()`

- - ### Constructor Detail

    - #### public BlockContext(ParserRuleContext parent, int invokingState)

  - ### Method Detail

    - #### public TerminalNode LBRACE()

    - #### public TerminalNode RBRACE()

    - #### <Result> @Override
      public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### public BlockStatementsOptContext blockStatementsOpt()

    - #### @Override
      public int getRuleIndex()

    - #### public SepContext sep()